org.apache.hadoop.hdfs.security.token.delegation

## Class DelegationTokenIdentifier.WebHdfsDelegationTokenIdentifier

- java.lang.Object
- - org.apache.hadoop.security.token.TokenIdentifier
  - - org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier
    - - org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier
      - - org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier.WebHdfsDelegationTokenIdentifier

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable
  Direct Known Subclasses:
    DelegationTokenIdentifier.SWebHdfsDelegationTokenIdentifier
  Enclosing class:
    org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier

      public static class DelegationTokenIdentifier.WebHdfsDelegationTokenIdentifier
      extends org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier

      `DelegationTokenIdentifier.SWebHdfsDelegationTokenIdentifier, DelegationTokenIdentifier.WebHdfsDelegationTokenIdentifier`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier

      `HDFS_DELEGATION_KIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebHdfsDelegationTokenIdentifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.io.Text` | `getKind()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier

      `clearCache, getUser, stringifyToken, toString, toStringStable`

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.AbstractDelegationTokenIdentifier

      `equals, getIssueDate, getMasterKeyId, getMaxDate, getOwner, getRealUser, getRenewer, getSequenceNumber, hashCode, isEqual, readFields, setIssueDate, setMasterKeyId, setMaxDate, setOwner, setRealUser, setRenewer, setSequenceNumber, write`

    - ### Methods inherited from class org.apache.hadoop.security.token.TokenIdentifier

      `getBytes, getTrackingId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebHdfsDelegationTokenIdentifier

          public WebHdfsDelegationTokenIdentifier()

  - ### Method Detail

    - #### getKind

          public org.apache.hadoop.io.Text getKind()

      Overrides:
        `getKind` in class `org.apache.hadoop.hdfs.security.token.delegation.DelegationTokenIdentifier`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.